Bug 814692 - Kernel panic after update from kernel 3.3.1-5 to 3.3.2-1 on VM
Kernel panic after update from kernel 3.3.1-5 to 3.3.2-1 on VM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 08:32 EDT by Volnei
Modified: 2013-02-26 10:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:14:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vm's dmesg (34.25 KB, text/plain)
2012-04-20 08:32 EDT, Volnei
no flags Details
VM's messages file (938.09 KB, application/octet-stream)
2012-04-20 08:35 EDT, Volnei
no flags Details

  None (edit)
Description Volnei 2012-04-20 08:32:34 EDT
Created attachment 578990 [details]
vm's dmesg

Description of problem:

Hi,

After I update the VM kernel, the system crash on boot
This is happens when boot a VM. In real machine this isn't happens

Thanks a lot


Version-Release number of selected component (if applicable):

kernel-3.3.2-1.fc16.x86_64

How reproducible:




Steps to Reproduce:
1.
2.
3.
  
Actual results:

Booting 'Fedora Linux, with Linux 3.3.2-1.fc16.x86_64'
Loading Linux 3.3.2-1.fc16.x86_64
[       5.125544] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)


Expected results:


Additional info:

Grub2 entry after kernel update.
menuentry 'Fedora Linux, with Linux 3.3.2-1.fc16.x86_64' --class fedora --class gnu-linux --class gnu --class os {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod lvm
        insmod part_gpt
        insmod ext2
        set root='(vg_vmsmb01-lv_root)'
        search --no-floppy --fs-uuid --set=root b379834c-9b3f-45d7-8f46-af97f3fc7894
        echo    'Loading Linux 3.3.2-1.fc16.x86_64 ...'
        linux   /boot/vmlinuz-3.3.2-1.fc16.x86_64 root=/dev/mapper/vg_vmsmb01-lv_root ro rd.md=0 rd.dm=0 LANG=pt_BR.UTF-8 rd.lvm.lv=vg_vmsmb01/lv_root quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0  KEYTABLE=br-abnt2 rd.lvm.lv=vg_vmsmb01/lv_swap
}


menuentry 'Fedora Linux, with Linux 3.3.1-5.fc16.x86_64' --class fedora --class gnu-linux --class gnu --class os {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod lvm
        insmod part_gpt
        insmod ext2
        set root='(vg_vmsmb01-lv_root)'
        search --no-floppy --fs-uuid --set=root b379834c-9b3f-45d7-8f46-af97f3fc7894
        echo    'Loading Linux 3.3.1-5.fc16.x86_64 ...'
        linux   /boot/vmlinuz-3.3.1-5.fc16.x86_64 root=/dev/mapper/vg_vmsmb01-lv_root ro rd.md=0 rd.dm=0 LANG=pt_BR.UTF-8 rd.lvm.lv=vg_vmsmb01/lv_root quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0  KEYTABLE=br-abnt2 rd.lvm.lv=vg_vmsmb01/lv_swap
        echo    'Loading initial ramdisk ...'
        initrd  /boot/initramfs-3.3.1-5.fc16.x86_64.img
}
Comment 1 Volnei 2012-04-20 08:35:54 EDT
Created attachment 578991 [details]
VM's messages file
Comment 2 Volnei 2012-04-20 08:40:17 EDT
note that there isn't a file initramfs 3.3.3-1.fc16.x86_64.img. I think this is a bug in the update process.
Comment 3 Volnei 2012-04-20 08:52:31 EDT
sorry:  initramfs-3.3.2-1.fc16.x86_64.img, I wrote wrong
Comment 4 Volnei 2012-04-20 09:07:14 EDT
I did following:

I uninstalled the kernel and rebuild the database yum.
Redid the installation of the kernel via yum install kernel-3.3.2-1.fc16.x86_64

And now the initramfs image was created successfully.
Comment 5 Fedora End Of Life 2013-01-16 15:58:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-26 10:14:25 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.